Bug 110271 - Internal compiler error
Internal compiler error
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2003-11-17 14:28 EST by Tru Huynh
Modified: 2013-09-13 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-05 12:16:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
preprocessed file: deflate.i (79.65 KB, text/plain)
2003-11-17 14:29 EST, Tru Huynh
no flags Details

  None (edit)
Description Tru Huynh 2003-11-17 14:28:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)

Description of problem:
rebulding gcc-3.2.3-20.src.rpm on x86_64 from taroon beta1
causes compiler fault

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install taroon beta
2.rpmbuild --rebuild gcc-3.2.3-20.src.rpm 

Actual Results:  compiler dies

Expected Results:  no error

Additional info:

[tru@calimero zlib]$ rpm -q gcc
[tru@calimero zlib]$ gcc -v 
Reading specs from /usr/lib/gcc-lib/x86_64-redhat-linux/3.2.3/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --with-system-zlib --enable-__cxa_atexit
Thread model: posix
gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-16)

[tru@calimero zlib]$ rpm -q binutils

[tru@calimero zlib]$ pwd
[tru@calimero zlib]$ gcc -DPACKAGE=\"zlib\" -DVERSION=\"1.1.3\"
     -O2 -g -pipe -march=i686 -c ../../zlib/deflate.c
gcc: warning: -pipe ignored because -save-temps specified
../../zlib/deflate.c: In function `deflateEnd':
../../zlib/deflate.c:593: unrecognizable insn:
(insn 208 207 170 (set (reg:SI 92)
        (plus:SI (plus:SI (mult:SI (reg:SI 92)
                    (const_int 2 [0x2]))
                (reg:SI 92))
            (const_int -3 [0xfffffffffffffffd]))) -1 (insn_list 207 (nil))
../../zlib/deflate.c:593: Internal compiler error in extract_insn, at
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
Comment 1 Tru Huynh 2003-11-17 14:29:51 EST
Created attachment 96025 [details]
preprocessed file: deflate.i

[tru@calimero zlib]$ gcc -save-temps  -DPACKAGE=\"zlib\" -DVERSION=\"1.1.3\"
-DHAVE_UNISTD_H=1  -I. -I../../zlib	 -O2 -g -pipe -march=i686 -c
Comment 2 Vladimir Makarov 2004-10-05 12:16:26 EDT
  It is strange.  The current redhat branch of gcc-3.2 (the rhel
compiler) does not support -macrh=i686 (-mtune and -mcpu).  It should
not support because x86_64 is a different architecture.  Probably the
customer used x86_64 in 32 bit mode.  In any case I've checked x86_64
(without -march=i686) and x86 (with -macrh=i686).  It seems that the
bug was fixed.  So I am closing the case.

Note You need to log in before you can comment on or make changes to this bug.